cubrid_get_charset
cubrid_get_client_info
CUBRID Functions
PHP Manual

# cubrid_get_class_name

Get the class name using OID

### Description

string cubrid_get_class_name ( resource `$conn_identifier` , string `$oid` )

The cubrid_get_class_name function is used to get the class name from `oid`. It doesn't work when selecting data from the system tables, for example db_class.

### Parameters

`conn_identifier`

  Connection identifier.

`oid`

  OID of the instance that you want to check the existence.

### Return Values

Class name when process is successful.

`FALSE`, when process is unsuccessful.

### Examples

Example #1 cubrid_get_class_name example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb", "dba");
$req = cubrid_execute($conn, "SELECT * FROM code", CUBRID_INCLUDE_OID);
$oid = cubrid_current_oid($req);
$class_name = cubrid_get_class_name($conn, $oid);
print_r($class_name);
cubrid_disconnect($conn);
?>`

The above example will output:

    code

### See Also

- cubrid_is_instance
- cubrid_drop